PAPI_stop_counters(3)

NAME
PAPI_stop_counters -

Stop counting hardware events and reset values to zero.

SYNOPSIS

Detailed Description

@par C Interface:

int PAPI_stop_counters( long long *values, int array_len );

Parameters:
    *values an array where to put the counter values
    array_len the number of items in the *values array

Postcondition:
    After this function is called, the values are reset to zero.

Return values:
    PAPI_EINVAL One or more of the arguments is invalid.
    PAPI_ENOTRUN The EventSet is not started yet.
    PAPI_ENOEVST The EventSet has not been added yet.

The PAPI_stop_counters() function stops the counters and copies the counts into the *values array. The counters must have been started by a previous call to PAPI_start_counters().

int Events[2] = { PAPI_TOT_CYC, PAPI_TOT_INS };
long long values[2];
if ( PAPI_start_counters( Events, 2 ) != PAPI_OK )
    handle_error(1);
your_slow_code();
if ( PAPI_stop_counters( values, 2 ) != PAPI_OK )
    handle_error(1);
 *

See Also:
    PAPI_read_counters() PAPI_start_counters() PAPI_set_opt()

Author

Generated automatically by Doxygen for PAPI from the source code.